slash in page title should not trigger subpage navigation on talk page
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
IAlex, wikibugs-l
Projects
Reference
bz22597
Description

Author: conrad.irwin

Description:
If you have a talk namespace with sub-pages enabled, coupled with a content namespace with sub-pages disabled, you want the top level for the talk namespace to match the content namespace title.

i.e. [[AC/DC]] does not link to [[AC]], so neither should [[Talk:AC/DC]] link to [[Talk:AC]].


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 11:03 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz22597.
bzimport created this task.Via LegacyFeb 20 2010, 7:42 PM
bzimport added a comment.Via ConduitFeb 25 2010, 11:55 PM

happy.melon.wiki wrote:

And should [[Talk:AC/Archive 1]] link to [[Talk:AC]]?? How is the software supposed to know the difference? Note that "check if X page exists/doesn't exist" is not a good way to tell, even if you could come up with a consistent method. The amount of extra database load that would be added is entirely unjustified by the trivial usability improvement. Suggest WONTFIX.

bzimport added a comment.Via ConduitFeb 26 2010, 12:05 AM

conrad.irwin wrote:

I workable work-around would be to provide a NOSUBPAGE keyword (I'd happily WONTFIX this if that was available). The extra database load should be negligable (it already checks for the existence of the super-pages) and I think that existence of the associated main page would be a pretty good heuristic (how likely is it to have a rock band named [[title/Archive]]? You could also provide SUBPAGE, just in case).

bzimport added a comment.Via ConduitFeb 26 2010, 9:50 AM

happy.melon.wiki wrote:

Now *that* is a more viable alternative. Existence of the associated main page is *not* a good heuristic: what do you do with [[File talk:AC/DC]]/[[File talk:AC/Archive 1]] if the file is on a shared repository and so the file page actually *doesn't* exist? Placing a NOTSUBPAGE behaviour switch on the page to trigger not-subpage-ness would work, although it would need to propagate to sub-subpages... Maybe page_props?

IAlex added a comment.Via ConduitApr 4 2010, 3:29 PM
  • This bug has been marked as a duplicate of bug 19032 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.